# versioning hell
%define version 2.2

Name: motion
Version: %{version}
Release: 0
Copyright: GPL
Summary: MOTION, a Video-surveilance-system
Summary(de): MOTION, ein Video-berwachungssystem
Group: Anwendungen/Multimedia
ExclusiveOS: Linux
Source0: %{name}-%{version}.tar.bz2
Packager: Jeroen Vreeken <pe1rxq@amsat.org>
BuildRoot: /var/tmp/%{name}-%{%version}

%description
Motion is a surveillance-program that uses v4l-devices to detect motions happening between 
captured pictures. There are numerous configuration possibilities for example sending alarm-emails
or information via SMS (messaging via cell-phones), creating mpeg-movies, starting external programs,
etc. There are switches for light-switchdetection and so on.

%description -l de
Motion ist eine Videoberwachungssoftware. Sie verwendet normale V4L-Gerte (TV-Karte, Webcams)
und ermittelt aus den Unterschieden zwischen zwei aufeinanderfolgenden Bildern Bereiche, in denen
Bewegungen stattgefunden haben. Es gibt sehr viele Konfigurationsmglichkeiten (Alarm-Emails oder SMS
verschicken, MPEG-Filme erzeugen, externe Programme startet usw.).


%prep
rm -rf $RPM_BUILD_ROOT

%setup 

###
### build
###
%build
./configure --prefix=/usr
make


###
### install
###
%install
mkdir -p $RPM_BUILD_ROOT/{etc,usr/bin,/usr/doc/%{name}-%{version},/usr/man/man1}
strip motion
install -m 755 motion $RPM_BUILD_ROOT/usr/bin
install -m 644 motion.conf $RPM_BUILD_ROOT/etc
install -m 644 CHANGELOG $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
install -m 644 CREDITS $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
install -m 644 README.axis_2100 $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
install -m 644 mask.ppm $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
install -m 644 COPYING $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
install -m 644 README $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
install -m 644 TODO $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
install -m 644 motion.conf $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
install -m 644 faq $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}

for i in `ls  $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/` ; do
	gzip -9f $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/$i
done

install -m 644 motion.1 $RPM_BUILD_ROOT/usr/man/man1
gzip -9f $RPM_BUILD_ROOT/usr/man/man1/motion.1

###
### clean
###

%clean
rm -rf $RPM_BUILD_ROOT

###
### scripts
###

# do this for upgrades
#%pre 

#%post

# Allow clean removal of modules directory
#%preun

%files
%attr (-,root,root) /usr/bin/motion
%config %attr (-,root,root) /etc/motion.conf
%attr (-,root,root) /usr/doc/%{name}-%{version}/CHANGELOG.gz
%attr (-,root,root) /usr/doc/%{name}-%{version}/CREDITS.gz
%attr (-,root,root) /usr/doc/%{name}-%{version}/README.axis_2100.gz
%attr (-,root,root) /usr/doc/%{name}-%{version}/mask.ppm.gz
%attr (-,root,root) /usr/doc/%{name}-%{version}/COPYING.gz
%attr (-,root,root) /usr/doc/%{name}-%{version}/README.gz
%attr (-,root,root) /usr/doc/%{name}-%{version}/TODO.gz 
%attr (-,root,root) /usr/doc/%{name}-%{version}/motion.conf.gz
 
%attr (-,root,root) /usr/man/man1/motion.1.gz

%changelog
* Sat Oct 07 2000 Dirk Traenapp <d.traenapp@online.de>.
- Initial RPM
